=== debian/changelog ===
asterisk (1:1.6.2.1-1) unstable; urgency=low

  * Update to 1.6.2.1
  * Build-Depends:
    libjack-dev,
    libavcodec-dev,
    libgsm1-dev,
    libsamplerate0-dev,
    libresample1-dev

 -- Jeff Moe <moe@blagblagblag.org>  Sat, 23 Jan 2010 03:39:44 -0700

asterisk (1:1.6.2.0-4) unstable; urgency=low

  * chmod 755 /opt/asterisk/bin/asterisk-maemo

 -- Jeff Moe <moe@blagblagblag.org>  Tue, 22 Dec 2009 19:45:03 -0300

asterisk (1:1.6.2.0-3) unstable; urgency=low

  * Change Section: from user/comm to user/network

 -- Jeff Moe <moe@blagblagblag.org>  Sun, 20 Dec 2009 15:06:23 -0300

asterisk (1:1.6.2.0-2) unstable; urgency=low

  * Chown /opt/asterisk/etc/* in asterisk.postinst not
    asterisk-config.postinst because asterisk-config gets
    installed first so there is no "asterisk" user.
  * Remove extraneous "done" in asterisk.postinst...

 -- Jeff Moe <moe@blagblagblag.org>  Sat, 19 Dec 2009 20:07:22 -0300

asterisk (1:1.6.2.0-1) unstable; urgency=low

  * chown asterisk: /opt/asterisk/etc/* in asterisk-config.postinst
    The original scripts didn't get the files chowned...
  * Process icon cache in asterisk.postinst (and add GPL to top).

 -- Jeff Moe <moe@blagblagblag.org>  Sat, 19 Dec 2009 19:28:16 -0300

asterisk (1:1.6.2.0-0) unstable; urgency=low

  * Update to 1.6.2.0
  * Depends: bash (for init.d/asterisk)
  * Change asterisk.init from sh to bash to workaround maemo bug #6606.
  * Add /opt/asterisk/sbin to init PATH.
  * asterisk.postinst, use bash not sh
  * rm debian/optify
  * Change filesystem layout thusly:
    /etc/default/asterisk
    /etc/init.d/asterisk
    /etc/logrotate.d/asterisk
    /opt/asterisk/doc
    /opt/asterisk/etc
    /opt/asterisk/lib
    /opt/asterisk/modules
    /opt/asterisk/sbin
    /opt/asterisk/share
    /opt/asterisk/share/man
    /opt/asterisk/var/lib
    /opt/asterisk/var/log
    /opt/asterisk/var/spool
    /opt/include/asterisk
    /var/run/asterisk
  * Add bugtracker https://bugs.maemo.org/enter_bug.cgi?product=asterisk
  * Shorten description to drop mention of non-used hardware,
    and Free Software-ize it ;)
  * XB-Maemo-Display-Name: asterisk
  * Add XB-Maemo-Icon-26:
  * Add 64x64 and 48x48 icons.
  * Add .desktop file
  * Add asterisk-maemo script called by .desktop to start asterisk and
    launch console in xterm. :)
  * Add asterisk.sudoers to allow user "user" to control asterisk as non-root.

 -- Jeff Moe <moe@blagblagblag.org>  Sat, 19 Dec 2009 16:32:24 -0300

asterisk (1:1.6.1.11-2) unstable; urgency=low

  * Don't rm sounds on dist-clean. Drop upstream patch that was
    intended to do this, but didn't. In rules, sed it out.
  * Section: user/comm
  * Don't use maemo-optify, do it "manually".
  * --prefix from /usr to /opt in rules.
    --datadir=\$${prefix}/share, etc.
  * ASTDATADIR=/opt/share/asterisk
  * Use /opt not /usr: /opt/share/asterisk/conf
  * Change /etc/asterisk to /opt/etc/asterisk in rules. Normally in
    Maemo, configs still go to /etc, but in asterisk's case the
    default configs are 600k (!), so punt to /opt.
  * s/usr/opt/ in asterisk-dev.install, asterisk-sounds-main.install,
    asterisk.install
  * opt/ before etc/ in asterisk-config.dirs, asterisk-config.install
    asterisk-config.postinst, asterisk-config.preinst, asterisk.postinst
  * Prefix everything with /opt in asterisk.dirs
  * Prefix everything with /opt in asterisk.init
  * No -doc, cuz dh_installdocs only wants /usr.

 -- Jeff Moe <moe@blagblagblag.org>  Tue, 15 Dec 2009 01:16:28 -0300

asterisk (1:1.6.1.11-1) unstable; urgency=low

  * Adapt for Maemo 5.
  * Remove Build-Depends: libgsm1-dev, libtonezone-dev, libpq-dev,
    unixodbc-dev, libpri-dev, libss7-dev, libvpb-dev, dahdi-source,
    libnewt-dev, libsqlite-dev, libopenh323-dev, libiksemel-dev,
    libradiusclient-ng-dev, freetds-dev, libsnmp-dev, libc-client2007e-dev,
    libc-client2007b-dev, libjack-dev, liblua5.1-0-dev, libcap2-dev,
    libspandsp-dev, libopenais-dev
  * Downgrade Build-Depends: debhelper, lsb-base, libcap-dev
  * Remove Depends: dahdi
  * Remove Recommends: sox
  * Remove Suggests: asterisk-doc, asterisk-dev, asterisk-h323
  * Kludge adding to audio/dialout group in .postinst
  * Change maintainter/uploader to me.
  * Provides: asterisk-1.6.1
  * No asterisk-h323 package
  * No chan_h323.so in rules
  * No asterisk-h323.install
  * Remove patches: hack-multiple-app-voicemail, h323-no-deps-on-asterisk,
    h323-fix-makefile, h323-workaround-openh323-segfault, dahdi-fxsks-hookstate,
    dahdi_ptmp_nt, dahdi_pri_debug_spannums
  * Remove ./configure: --with-cap --with-gsm --with-imap=system
    --with-pwlib=/usr/share/pwlib/include/ --with-h323=/usr/share/openh323/
  * No dh_lintian
  * Don't install share/asterisk/documentation (maemo-optify)

 -- Jeff Moe <moe@blagblagblag.org>  Mon, 07 Dec 2009 15:42:28 -0300

asterisk (1:1.6.2.0~rc6-1) unstable; urgency=low

  * New upstream release candidate.
    - Drop paches/AST-2009-007, included upstream.
    - Drop patches/configure-armel, merged upstream.
    - Fixes security-related information leak (SIP responses expose valid
      usernames), fixes AST-2009-008. (Closes: #554487)
  * Switch to the "3.0 (quilt)" package source format.
  * Create the /usr/share/asterisk/agi-bin directory. (Closes: #463983)
  * Stop shipping the refcounter tool since the required debugging
    compile-time switch is not enabled in our builds.

 -- Faidon Liambotis <paravoid@debian.org>  Mon, 16 Nov 2009 06:10:10 +0200

asterisk (1:1.6.2.0~rc3-2) unstable; urgency=high

  [ Faidon Liambotis ]
  * Really ship MoH sounds, as mentioned in the rc1 upload.
  * Move dahdi to Should-Start instead of Required-Start in the init script.
    (Closes: #552604)
  * Security fix: "ACL check not present for verifying SIP INVITEs",
    AST-2009-007. (Closes: #552756)
  * Urgency high because of security fix upload.

  [ Tzafrir Cohen ]
  * Add a sample startup init script. Not installed.

