=== debian/control ===
Source: asterisk
Priority: optional
Section: user/network
Maintainer: Jeff Moe <moe@blagblagblag.org>
Uploaders: Jeff Moe <moe@blagblagblag.org>
Build-Depends: quilt, 
 debhelper (>= 5.0.42),
 lsb-base (>= 3.2),
 libreadline-dev | libreadline5-dev,
 libssl-dev,
 libasound2-dev,
 autotools-dev,
 libspeex-dev,
 libspeexdsp-dev,
 graphviz,
 libcurl4-openssl-dev | libcurl-dev,
 libxml2-dev,
 gsfonts,
 libpopt-dev,
 libvorbis-dev,
 libgmime-2.0-2-dev | libgmime2-dev,
 libcap-dev (>= 1:1.10),
 zlib1g-dev,
 libjack-dev,
 libavcodec-dev,
 libgsm1-dev,
 libsamplerate0-dev,
 libresample1-dev
Standards-Version: 3.8.3
Homepage: http://www.asterisk.org/
Vcs-Svn: svn://svn.debian.org/pkg-voip/asterisk/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/asterisk/?op=log

Package: asterisk
Architecture: any
Depends: ${shlibs:Depends}, asterisk-config (= ${source:Version}) | asterisk-config-custom, adduser, asterisk-sounds-main, bash
Provides: asterisk-1.6.1
Recommends:
Suggests:
Description: Free Software Private Branch Exchange (PBX)
 Asterisk is a Free Software PBX and telephony toolkit.  It is, in a
 sense, middleware between Internet and telephony channels on the bottom,
 and Internet and telephony applications at the top.
 .
 Asterisk can be used with Voice over IP (SIP, H.323, IAX and more) standards.
 .
 This is the main package that includes the Asterisk daemon and most channel
 drivers and applications.
Xsbc-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=asterisk
XB-Maemo-Display-Name: asterisk
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAA
 AAZiS0dEAP8A/wD/oL2nkwAAF/lJREFUaN7teWmUVcXV9rOrzjl36L49N910A93M
 iMwgIAKKgBhFReM8D1EhztGgwQEIIKIiAqKIiBo1DogKgqAoo4AIIhCg6YYe6JGm
 5759hzNU7fcHicHky7ferDc/s9c6f2rVqaqn9lB7Pxv4r/xX/k9C/+Y8PnMsGUDf
 ya+IyhND+PAtw6lVJ9L6zmk6ZZctmn21dGc+PEwEQODieDhbuHZCitOmkry4bpRB
 edRIjY9KfqcOJ+/XF78A2vASVFJxs9naJUG8/3V/jF/TqHuNfhORAeM9u6fF/3EA
 AHjKcYgLTsAcvB+8y/+duuW+kQoAmlpqR/uby8ahrki5p45qf2bnKZLQnr0ItHbB
 5AN5fEK1Fn3opHWPU0ZPYWb29QdScqeeufF8lWcdLhmPF7ovd9N/uf+/BeBfSwnL
 /LZ3ZFm/2x0AiNYe3ilOHcqRNftTdd2RJK/5OLxoM8hugsEOMzEpISG0ZtJEnhmC
 EUyBlZgDZA2Gyh5QZnQaJkUkcreXnDXXSus06Pv1sEaM+VRN+HKrWN80VOOum9R/
 BkDKIMLGl/FtKJAzQrTNMdpO3KYKVsOr3M1knyLhTwJC7UGhbIjkzlCKyyCDAsKE
 0HEG7DTPiYZkUzHoVCGceJh1KBOiwxDIs24kWBnwhUJwkhLGBJL7b7m76R7fuynj
 VJyu9f52BOPfO3GIgDADwNWjr6JPtn3K4di64YaTtss5uh5ctVNTMF2ITiPIyBkY
 cZ34Ep3RN+bPyAdl9vBb/tQnzlytWbmj/M3Hx3P1QVe5bZcYzSXDdeEaoGgdu7XH
 EOh2ITgxhe2EszfreNtk4U98vemBZTIVwKwnH6Gn5yz4u0ndjWeJfaAvu04m8OUC
 Lzxq5Z+8SIAh/eoq8cURBNqugVmSsvxnrTlHPmuML+nbGp7j47ZFPdjbPJu9Lc/f
 U7Dntt57T36b/wb3trj175f0pQdrUe+rxNVnNYkzgfB3SKj/6f12FUWfdLQP/Hl2
 dPV9HH4uWceeD3H84+s4vO5+Hf3iHo61RqYAwFTuLsc/vk+wDfPnRWLTswlzc8WK
 jQONsyq/Mj74FsbCq843LtsH3+VDPIHq9835n6cKMFOkqXhZ27bnOTyvnW5ZkMPR
 b55ir+rgd/9f5S2MEXYuMnfgTeJNMHaXwEL1GgPOLvHde0NEu6PrTZ/DfgDw6g7P
 cDY9yuEXsvWphZ24bdWN7L12oXZ+ep1PNZ3o3G6MKZ4HqMiD/+f1r8c+GjkVcuyG
 DjKKLWJFEYK9cbF8dogwkj4WcuXs900A8Eq+WBZdcydH5qWryGc3c7zovd1ua/Vc
 AHhg9VW+0xGoap5TtXu6V7Vvule1d4aq3DG9pa38eQDA2AJa9xdYJWEE9+yFfGbe
 RQJ/8SxUsoWdlQZmHCMAcFsq7oltn8lNL6Tq+IJ8tt+5mCNvnMPRH99fAQAl34wy
 fmyB7xeXdP5MiJIvgqJ9H8jFo/YJsWA4yZlzzUtvPK2qaMXm7fF3xrA7L0u5Oxdy
 4efXd/yQY+kAcP4KiBW2ZQBA+OCHHF55PTuf3s7uqus4suoqjh15lwGgL1gEdu80
 b18H6X4I61gzzL4N58iFk6aJBiyiYxtMkVHzBwMAvC1rxkQ/vYHD89M4svgsjjzf
 XkfW3ctuc9V3AFD2DOTP9tmJiS46P0DLaiZQzaxPZeA9UmW/LU9sKtiRZZ56mz55
 JuWRyPonR/qjNTB+tVgU9b0m5YHHJka+6RWQ1+VC0GBHbvVZro4VXKd++BD2kY+h
 ZBAKCo524Us7G6q1/BGZRAvgaXF08y185Q2fqLXb5mDnkBmUnLaHfpfbV1/WlETF
 RUu4ZVYwoW3UuKJgaZJW5bsExVvBIka6eB3sThd2AoCTb5zxLDD7jT3zk0ysZYt/
 yPJdMBqirfqH6apqG7s1uzi2bCw7iwapeOkWPqGbzvmFEwKEosPm7KOPntbUniXc
 Oi+d7fmd2X0xl+3nMtjZ9SoDwJrKPEN+UiquPffDX4RwOvSyRMFmIx9Ml3RkgRVM
 ANDWXDvT/XwKx+ekceTlDI7NMbnti3tjTScPXAUAf48GT8fVpO6v87CPwOem3WF+
 8MTaRKe+dIaKaES3z4Lj1TJfvUJEq6oy80Tqnmj4x0vDFX+pi7ZW3U8Ah5/ti0t6
 LpUAYHAAkh3YwoYjGR4BygwAAETuCSsjp1Z8vOt6bms+NSVaebghemJDP+7zsOp4
 zXr+YEuivG1fL8lLbpHY8JO5W+x/jvteXN0qozC8dACJkDV/8QdqDvQDPyPF3x6z
 ebMZaucNXBcm9WLXuWZaRnlL0KliKvoAVLEfvrHzaVP7/qlH97zc7GP2Wa32O3r1
 zenyuwWLG1dNvXjj4hN5gyjiAAD5AC0VIF1I+AGWIPO0tU4kRDf3ycxu/HHRvda2
 6a/q1belWma7zV/PZFlw6Cw69/yIPpxxDNC9Gau+V2OTJsQ4e2i9mTYArJoBXwJ0
 pBK6cX/WK0euEOJv+c0WfIoZvYGSz6EHHVl33C7bwrqhimJFa9kbNQMt3cae04mo
 ZcQju1V9S/mT0X3vpqOpgLxDr3Owbcf6iQWfFzqnCqcDgBAS0k2AtP3wtAsiG4aZ
 CABwKw9O6XZsfbn/4MdL3SMr2Wk4Qs7+t9NGPXj8mUTc4eXtAG1pHMswixmbjgEA
 vPCpe30ZfQGOA8KAdqKMtN6TJyd36HjahARoA9Zj8q1QzSVbHnB2PJUqkzqTUbIZ
 Rq8raeU5d2d0XnveAZdAxY2FHYyqH57k46uRGMiAtNqRV30Y8a2zhLtr3jPhusIK
 lplg0wRMBpGGlD5A21C1h044u19a4n79NBknj8OQQQokJkAdXQlRvf+prS1NnRMf
 WS4/OLBR3pz+Jt/S8EdgNdNt2f1/4LR8MDSYAKE9onA9VFMDn9arBoO3UV3jicHW
 kT8t0m6MRe0+JmmSGDS59V6iBt6NhGHNy5w1xW/5dUGxSIg1suvLJdd1YfhTYHmA
 ffhDOPVHOxiJPSCEgOEpeDBhSw1duBbyu3mdrMYKwJ+ENgMwlY2A4YPd1sj68Adi
 ZPmXwcN73nKmZ8BafQvovk0JjCuIPwF4RSAdxB4gAEkMoWKAjPLfnZiKOLmxaDX2
 fwAhmHTFPtK9J1UciB7NrF04wHCH3RT3z3pQ1YjEuO4xui2WfSG5Xj2kjsP0AJIK
 hi8ZwYaj4IovoUgiLgFXGJDaD7P8G1gtpWC/H4oAqTxYSiHWGoc/5zzizCGHjzd0
 r06Z+qasQU8a2gSOJYDAp6ORZBeAAP8tcgoJEvLvUUiFa7fros9yvUgVG+F6uO16
 gfPH/2lYl6udqx/KVJt/E6etby8RHZ9Jqt7ZMzXbvGRuqxjzGDghnT27AVEdhWv6
 ADMFUgkYiiGEASEcmFDwRAKUTIEmC9qzgXgLhJXKvjHTIC9Z2Brcsqr/iX7TIs1D
 RhuXUqH684aLKBq0f75fo60KRAaEZihhQAdSASONfgbglO/uqEo2QhgWefFWBPv8
 mpHWow4AstkzDj7HvoHS1ZNueIxnlOXH/dn9k3VKbo518cJG1XcSky+ZSQkIZYOk
 gJYE4RowFEOThguGJIB1BMJKYv9Z17G6ZHGTPTA1y8zsnfzSPWNk+2TIrkaZmvJE
 ls7adq+ozK0HiDgWrvwdGk+AQGCtwcKACIRYpqa6ot/sVFFWe+ACWboulZqrIckA
 AjlQ3Sac8AeTFgLAg2Ux49zg6ITR6irqcYOLUL+P9LPrYMZ73FlrdrsoIzJmxs3G
 edNJGD4Yrgc2fXBIwCMNhoRHEiGbIHQM5E+BGPkE6fP+cJO/24T00IHHGm/AUnlJ
 7knvx3lw90UnmCPWPkQwHWy4L1cAABFN9eoOMkQQUkdhBdJhN5U8JdKTKsXBp5p0
 qLlmvGo8kQQpQVpBZnRnI5SdBAC/Dzwqhn522B6ydGlj9K45eKs1bH1dNtV4rMqH
 TEA3sPtAqGrXHKPgE4h4BLFAAiJoRUBH4KM4NFwIZsRND1F/IlQ0BqdoFfwndz4V
 bY2PxfAG78P6hUavuu5y0qtH9dKX3nR2xa7HyvrrNdrfwgBAp47GVLiUlCHBXhgq
 vTtkp/GBnwsas3wH7OYKWGYilBeFlT+UzEB6+rBlTDPvmQpVE+DJLzyhthaO8L0c
 SlIPhRZ5tZeuzY0WFlyKdU8uih99j1kohAw/DG3DlQRt+sGaANYAK5iK4eIUgiIV
 8cqf0Fi+t7d/YOE3Vd/+4SKX80vyM+8tTnXut9IiHf3764fEB+xeqf6c8p64tq15
 tvp+Yb5QGiw0wAacrAEtdodhaxiDhSivqm4X8IduNux6aGkCWoNTugEAdqt6SCTy
 8iFxEfzdi8Z31T3w4P6FqbEDqTPTivaWO9vfXcqHlnMSxykIDVsRXA7A8izAtgGt
 YWqGz9MwSEAgBQ4ESBpIJAv00yucVrrp65wjjUWxfZ/MKCx6I6XzqXGxk/saZfrQ
 hfLGSmiu29WG4g1gKxOmHYZK7say02jVzrD2zL7ifQgfNwShnU5SxxksIIQE/CEA
 QHpmBlkApjYoXpr9MHWpZFVbWpNCpd8+zTvmUbDlGNjvp7jwQVMiJCl40QZIXyLI
 MKC1hG0QHMMHh9Lg2VEIsk9/bIKsDFJNx6G2zxZ2+ZfTE45FU26avEkNLoNK+nag
 KhlcmqOaKmY5rccgpQWloxDdJxBX7RwIAE+/nydEKFarvXgYUJoEXLAwAed0+Oq1
 nPgp3A43vY3unRrT6W4N1w8apHRCJoRpMVECAAlICdtrY0gTcvAtUL2vZ1szIBwQ
 M2zY0AOuZXPArSDhBzyXXcOFYoaw/IDhByVmIKH32bGHC6tF0sPslo6bqfKO/NRF
 FX1NLhQkO3BCnSG6XhAPjX66/NKdV5sj38nVQhr1konAIBjwoBjgWAsAYM3TQVqT
 mUBml9Xi7OnLkNSjBQlZnRuNs6/ZrzP7krYjgGJQLMq+DkPIOOeB76NjnnhGdhhM
 PseFoQHDA3xeDEanASRGPjlND/jd926HC0h5DSx0G8xYBF5Wf1hdL399bceSk4c3
 3GPOPfmoBQCO2bhFnPiWLTMAVwkOdL8WJ2Cci+KNYt1nL6tN1OoXli0gwdCCoYSA
 0ATdfASxuh/69Tgvyqe23iJ+XzpZp33qU0Unemldeo79SGnxUKv/HdVhpwWk/Wye
 P4cC/e+8qS2/9ZLMQM4sEQuDSUOwAWICwYTV2oBgYvbcyKCzLt3UeCwP4xYSwcdt
 jgPfoDurp7YkPvzb+n768cfGezOyX7LdI2u3Gz8shiJFhlJwE9qRyu/zzqwOmYde
 m9aB0X41q3Ve3IC/txYJJSAkMFQCSasJbtFW9g/7w8YGICu7507KCbnGA9ukd18q
 VIc6YEnvG9yFTWWlgXEzc/xZ59B6X7zdxA6T2h7G7RoAyInBJQHPMqHhQMcZQXG6
 fkmfPqE55bcTWg7EV2d0uPK1elmxDzJvWOnilO7x8zOTjNq6FhWt+/GN2NdPjyS7
 GsLwgx3FoYGTqoyeN9yOl1i8+xExPgICABuR1PQWowZ7WRpDWDjwhAUdKyY69rW/
 qTU6MrVh8a4p1l7+IHkl1Q/1sKYB9kUfvSWN1PyRTqRqHgy1ZmJBv0Y0DhZWl3dO
 M2bahgEHrF0YrKA5Bv6rX+HJHxFquhp5fcsaKmInR6a3H36lFcx4bIzTYG220h23
 seKP3v5Vv+GqfawNSYZrs9n7euLh9z0LPInrxg/FR2dUciIxuX2zrbCOEjLhqiiI
 fXDJABe+l5RQc/gCtHtcccVKXL94HM+71KBrOkeNsY8fxm29BkgrIffxUf07fX9p
 bjOhfye3Y2jl6byQGdpTYNcGuS6E9k7nPwBgdhUVdW3gX0Fe9Kf39wQfy5iKX98p
 N1vpTrSpeLtT8OmTes9yhMxEsjwPXs655JlZ48xgymtTeZB/WZ89v+CUBH5kSZ3P
 N3wZfWA5UUh2kUDZsKv2smr9fpauKxp8vwThoY3c1X4DMIup8NpqPCLKaNKirsaF
 T0029ldvE8Pfek4+gKsZABwWgC8LRjAVFEiG58uEQQIc234eklO9QRPvZloPVXAk
 4v2wJNPHq1Ywx2ufN4o3jLQ3TRMQhLhqg0rIAo14GOXDphVx8Gz5PO2LJxO8MwEY
 eAvsLh6+nnK2PyCKPwvZ0iWDJXzUjiI/LAAHcrYuGYjEtHHXiC2vr+WJv+uj+p28
 kwf0fp/xQK2vPa6NF065TBpdWqgydyl1qwK7ybkvih6/UrZpeD5HaCUjZiypq2EF
 Ru38fOsY44qBcyVeGezN7/KMMbRmo3oN4+lmx/vMb6X/3vIFmJlIBVJhXPBEa2vu
 wDELa62T9lMz5R3fpmBFxkOaPjqDpX7wp3YCACKN5WXhD6/UsWeDHF6Yy+68rhyf
 n6rrl/fh6I7l3wHAV3hJeu/BwH3PiefmDxUPlXYPbkSNEcEg8n/1hfHEpKnyseaA
 gQgkPnQFfvprvcEdCQCunTbM+OOEm8TNuyBx+amfKZ2bNn0uAMDbvijL3v4Cx58G
 25/cxk5LTRkA8H7DxO4+5qhHbxb8j4R00cdZ9NyCFQIA7ILVHH2pC3vz0zm2oD23
 zu/AzgvtuGXJII4cfIu57KsRB51IHgB8tbaXOLCwp1keOGqU+RcIvDFVJB0bJdPq
 IO6tgbxrKug3+A0dGXG5LDoBH9fA2nb8dO7VHK7pUFmyY2BbyTflsWNfc9vLPTuX
 NWzvBgDq1OHGyJujOLygI9vHN1ac5j3nWls6jhbd73jRwIo54l/2B1rq902yCjZ/
 5u6cz6YFcoUFQ2lIOwzXDLK/52XEZ/9a26ldZ7/iFD3/RNbFkZ9/rma6lX5DHa09
 dOmcEI94aYf+R3rUbm2ci1M/hSnWNFuX7yBdsQVerI6tdv1I548FBXNepS5j6qhi
 +/TwF7ci0Pc20LmPP7XS1/nFvETWR2c9x3tueBtvdiv0/glA5TBQhzdYxLrUvKa3
 zLxb7FvFSAiQQx5I+GCwgue2QRshWJ1Hw9flghqdO9xBMDOkm8sn+nLO2fWPB26s
 3jEwMbnnQhFv6RyrPuyZtT/mo3Q9vKYCAAoaQZhGEEa8FeQSuylZ5OYPQqDTSI4e
 +ohk3XG4Z989I3XCjJlH8SvhX7becPoBPYbD+WcNqPWi65oFVHzl1woAomvuCluF
 nyd6ZLI2NGkWsDmAADyYdgsch6GT8mBk92SR2Y1kYjbInwltmIBy4LmtUC3l4JOH
 QE0lbLaWkas8cDADMEwYHkDKYi+UQI6UMOwWkN3GiEXJkkGQ3w+ONjHOnUJVXc/v
 2nnrxKqlV4+SU9ZusXEd/T86NEuY0LpG/CrvQbG++wX6E0v7roj0260KPu/j1h6C
 HwTty4AiBRYOCIC0JVg58GQMxALMBEECRAzNLsAEIYzTBTgRyI1DuQoykAxknA30
 mggrNWNps2s0WI3HLvbb9YNV/XE4TUdZOU1kxTwoXxJ4xOQVoXOn3RW5PGg0rrlQ
 d8Ra/U8A1nC2NJanoHVpO2TctY3G/Rae//M8q2n4mnou2xpSRz5go/IgCeEhZvnA
 BsFHfmg2wZLAEBAAiDWEckCsQMqFUh4UFOBLAmX0ZNHhfLJyhoEyurd+G/J6LOfE
 5o9rEpy3cn2Z55au8vVI7v+Wq7yxXrwSvvqTcCv2IJ7dC6mjHqeUjcd87Tctcwvm
 vvAzAGP3kEE0bO8+vuy1MH/QNUo3JxXwR4d7YsvaInk8aQIHsvsnbYs0pZ6TN7IE
 x79qRlNJvlVXCBU9CbhhCDcO2MyAIiEALQxWlEDCF4LwhSCS2oNS8sKU2bsR2QOk
 yug11/CFXgWAOYvfNda/fLMueJeM62b2avjzrYyNvQrHnelH0VOHXvFrfSPwOBJz
 3tIx+5d+Zgx7e6NIe2cgt6YP5hsnfKYnNn1B16QW6V1Xj6brH2/VxRhAo7d/14yL
 L0sFgHjdsbm+qr1x3VJMsbpS00zNmyCDyYO1pyBNC6Yvmeyj62fKjC6kk/NZZJ5F
 MrH9RjOzyy86OM9MY5o24yM1LW8zwYI60KS4qEdMDL99nFHx9kZdPi9R9L7iMQ62
 63M/gPu/n7RTDls1gg/+BPQ/o80LDPZEvxXXirmvQvyr7lBe9THq0fijTOdGeeZ4
 XRlkuPxPGZHGXZ1bT23vEm8szotEWzvjy1oDzNZfSSn6X3VDU1P+5ZzBOP0QRnL2
 UkPmfsJ/5b/yn5P/AWsLAfCEONIaAAAAAElFTkSuQmCC

Package: asterisk-dev
Architecture: all
Recommends: asterisk
Section: devel
Priority: extra
Replaces: asterisk (<< 1:1.4.21.1~dfsg-1)
Description: Development files for Asterisk
 Asterisk is an Free Software PBX and telephony toolkit.
 .
 This package contains the include files used if you wish to compile a
 package which requires Asterisk's source file headers.

Package: asterisk-dbg
Architecture: any
Depends: asterisk (= ${binary:Version})
Section: debug
Priority: extra
Description: Debugging symbols for Asterisk
 Asterisk is an Free Software PBX and telephony toolkit.
 .
 This package includes the debugging symbols useful for debugging
 Asterisk. The debugging symbols are used for execution tracing and core 
 dump analysis. 

Package: asterisk-sounds-main
Architecture: all
Recommends: asterisk
Replaces: asterisk-sounds-extra
Description: Core Sound files for Asterisk (English)
 Asterisk is an Free Software PBX and telephony toolkit.
 .
 This package contains the default (core) sound files in English, useful for
 the operation of Asterisk.

Package: asterisk-config
Recommends: asterisk
Conflicts: asterisk-config-custom
Architecture: all
Description: Configuration files for Asterisk
 Asterisk is an Free Software PBX and telephony toolkit.
 .
 This package contains the default configuration files of Asterisk.
